@echo off
rem Uninstall script to remove API support for the FarSync BERT
rem Version 1.0.1 28May12
rem Version 1.0.2 07Nov13
rem Version 1.0.3 12Oct20

rem goto deregister

REM Quick test for Windows generation: UAC aware or not ; all OS before NT4 ignored for simplicity
SET NewOSWith_UAC=YES
VER | FINDSTR /IL "5." > NUL
IF %ERRORLEVEL% == 0 SET NewOSWith_UAC=NO
VER | FINDSTR /IL "4." > NUL
IF %ERRORLEVEL% == 0 SET NewOSWith_UAC=NO

REM Test if Admin
set guid=%random%%random%-%random%-%random%-%random%-%random%%random%%random%
mkdir %WINDIR%\%guid%>nul 2>&1
rmdir %WINDIR%\%guid%>nul 2>&1

IF NOT %ERRORLEVEL% == 0 (

    if /i "%NewOSWith_UAC%"=="YES" (
        rem Start batch again with UAC
        echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
        echo UAC.ShellExecute "%~s0", "", "", "runas", 0 >> "%temp%\getadmin.vbs"
        "%temp%\getadmin.vbs"
        del "%temp%\getadmin.vbs"
        exit /B
    )

    rem Program will now start again automatically with admin rights! 
    rem pause
    goto end
)

:deregister


if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto _X64
rem echo "X86"
%SystemRoot%\system32\regsvr32 /u /s "%~dp0x86\fsbertif.dll"
IF NOT %ERRORLEVEL% == 0 goto deregfail
echo MSGBOX "FarSync BERT (x86) API Component Deregistration Completed Successfully",4096,"FarSync BERT" > %temp%\TEMPmessage.vbs
call %temp%\TEMPmessage.vbs
del %temp%\TEMPmessage.vbs /f /q
goto end

:_X64
rem echo "X64"
%SystemRoot%\SysWOW64\regsvr32 /u /s "%~dp0x86\fsbertif.dll"
IF NOT %ERRORLEVEL% == 0 goto deregfail
rem rereg x64 variant first to restore registry following x86 dereg
regsvr32 /s "%~dp0x64\fsbertif.dll"
regsvr32 /u /s "%~dp0x64\fsbertif.dll"
IF NOT %ERRORLEVEL% == 0 goto deregfail
echo MSGBOX "FarSync BERT (x86/x64) API Component Deregistration Completed Successfully",4096,"FarSync BERT" > %temp%\TEMPmessage.vbs
call %temp%\TEMPmessage.vbs
del %temp%\TEMPmessage.vbs /f /q
goto end

:deregfail
echo MSGBOX "FarSync BERT API Component Deregistration Failed",(16+4096),"FarSync BERT" > %temp%\TEMPmessage.vbs
call %temp%\TEMPmessage.vbs
del %temp%\TEMPmessage.vbs /f /q

:end
